## gwymodule-tool

gwymodule-tool — Interactive tool modules

## Functions

gboolean | gwy_tool_func_register ()
void | gwy_tool_func_foreach ()

## Includes

    #include <libgwymodule/gwymodule.h>

## Description

Tool modules implement interactive tools that work directly on data windows.

## Functions

### gwy_tool_func_register ()

    gboolean
    gwy_tool_func_register (GType type);

Registeres a tool function (tool type).

#### Parameters

type | Layer type in GObject type system. That is the return value of `gwy_tool_foo_get_type()`. |

#### Returns

Normally `TRUE`; `FALSE` on failure.

### gwy_tool_func_foreach ()

    void
    gwy_tool_func_foreach (GFunc function,
                           gpointer user_data);

Calls a function for each tool function.

#### Parameters

function | Function to run for each tool function. It will get function name (constant string owned by module system) as its first argument, `user_data` as the second argument. |
user_data | Data to pass to `function` . |